---
sidebar_position: 1
title: Compute Layer
---

# Compute Layer

![](../../img/zos_compute.png)

Default features:

- Compatible with Docker
- Compatible with any VM (Virtual Machine)
- Compatible with any Linux workload
- Integrated unique storage & network primitives
- Integrated smart contract for IT layer

We have the following unique advantages:

- No need to work with images, we work with our unique ZOS FS
- Every container runs in a dedicated virtual machine providing more security
- The containers talk to each other over a private network (Mycelium)
- The containers can use a web gateway to allow internet users to connect to the applications which are running in their secure containers 
- Can use core-x to manage the workload
